0
Welcome Guest! Login
0 items Join Now

RokNavMenu

Your Guide to Using RokNavMenu for Joomla


Introduction

RokNavMenu is a powerful menu module which provides functions above and beyond the capabilities of the core Joomla menu. It provides a feature rich platform for extending the menu, allowing for overrides and plugins for the menu itself, in addition to versatile theming capabilities and so much more.

The latest revisions feature built-in themes such as Dropdown and Splitmenu.

Requirements

RokNavMenu has the following requirements in order to operate:

  • Joomla 2.5 or 3.x - ensure you are using the latest version.
  • Compatible Browsers: Firefox, Chrome, Safari, IE8+, Opera.

NOTE: Internet Explorer 11+ and Edge are supported, but versions 8, 9, and 10 are no longer supported by Microsoft and while they may work, are not recommended.

Key Features

  • Menu Themes: A series of themes ranging from a simple menu list to an advanced dropdown system
  • URL Extension: Inbuilt parameter to append strings to Joomla links
  • Administrator Overrides: Add custom parameters / options for individual menu items
  • Plugin Support: Control all aspects of a menu item such as RokBox integration
  • Foundation: RokNavMenu is at the core of all the powerful RocketTheme menus

How to install

Installing RokNavMenu takes just a matter of few minutes.

The first thing you’ll need to do is download the latest version of RokNavMenu. The package you will download contains everything to get RokNavMenu up and running and it is compatible with both Joomla 2.5 and Joomla 3.x. It does not need to be uncompressed.

Once you have downloaded the package, go into the Joomla Administrator and:

From Joomla 2.5 and 3.x:

  • Select from the top menu: Extensions -> Extension Manager -> Install
  • Click on Upload Package File Choose File button
  • Select the roknavmenu.zip that you just downloaded from your local drive.
  • Click the Upload & Install button.

NOTE: For additional information on installing extensions, visit our detailed extensions installation guide located here.

Once installation is complete, a message highlighted in green should indicate its successful completion.

NOTE: RocketTheme packages do not require you to uninstall them prior to updating or adding new associated extensions. You can simply install and the package will determine if it requires to update your currently installed RocketTheme extensions.


Found errors? Think you can improve this documentation? Please edit this page. You can also view the history of this page.